package cn.pluss.platform.vo;

import cn.pluss.platform.dto.AccountDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author DJH
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
public class AccountVO extends AccountDTO {

    /** 结算方式名称 */
    private String settleTypeName;

    /**
     * 商编
     */
    private String merchantId;

    public static String getSettleTypeName(String settleType) {
        switch (settleType) {
            case "011":
                return "对私法人";
            case "012":
                return "非法人对私法人";
            case "01":
                return "对私法人";
            case "021":
                return "法人对私非法人";
            case "022":
                return "非法人对私非法人";
            case "02":
                return "对私非法人";
            case "03":
                return "对公";
            case "00":
                return "小微";
            default:
                return null;
        }
    }
}
